# Applied Computational Thinking with Python

<a href="https://www.packtpub.com/programming/practical-computational-thinking-with-python?utm_source=github&utm_medium=repository&utm_campaign=9781786461629"><img src="https://www.packtpub.com/media/catalog/product/cache/4cdce5a811acc0d2926d7f857dceb83b/9/7/9781839219436-original_83.jpeg" alt="Applied Computational Thinking with Python" height="256px" align="right"></a>

This is the code repository for [Applied Computational Thinking with Python](https://www.packtpub.com/programming/practical-computational-thinking-with-python?utm_source=github&utm_medium=repository&utm_campaign=9781786461629), published by Packt.

**Design algorithmic solutions for complex and challenging real-world problems**

## What is this book about?
Applied Computational Thinking with Python provides a hands-on approach to implementation and associated methodologies that will have you up-and-running, and productive in no time. Developers working with Python will be able to put their knowledge to work with this practical guide using the computational thinking method for problem-solving.

This book covers the following exciting features:
* Find out how to use decomposition to solve problems through visual representation
* Employ pattern generalization and abstraction to design solutions
* Build analytical skills required to assess algorithmic solutions
* Use computational thinking with Python for statistical analysis
* Understand the input and output needs for designing algorithmic solutions
* Use computational thinking to solve data processing problems
* Identify errors in logical processing to refine your solution design
* Apply computational thinking in various domains, such as cryptography, economics, and machine learning

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1839219432) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
def encrypt(message, key):
  encryptedM = ''
  for letts in message:
    if letts in LETTERS:
      num = LETTERS.find(letts)
      num += key
    encryptedM += LETTERS[num]
  return encryptedM
```

**Following is what you need for this book:**
This book is for students, developers, and professionals looking to develop problem-solving skills and tactics involved in writing or debugging software programs and applications. Familiarity with Python programming is required.

With the following software and hardware list you can run all code files present in the book (Chapter 1-16).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 1-16 | Python 3.9 | Windows, Mac OS X, and Linux (Any) |

We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://static.packt-cdn.com/downloads/9781839219436_ColorImages.pdf).

### Related products
* Modern Computer Architecture and Organization [[Packt]](https://www.packtpub.com/product/modern-computer-architecture-and-organization/9781838984397?utm_source=github&utm_medium=repository&utm_campaign=9781838984397) [[Amazon]](https://www.amazon.com/dp/1838984399)

* Computer Programming for Absolute Beginners [[Packt]](https://www.packtpub.com/product/computer-programming-for-absolute-beginners/9781839216862?utm_source=github&utm_medium=repository&utm_campaign=9781839216862) [[Amazon]](https://www.amazon.com/dp/1839216867)

## Get to Know the Authors
**Sofía De Jesús**
is a computational thinking teacher with a degree from the University of Puerto Rico with a focus on math. She has a master’s degree from the University of Dayton. Her experience in education and development spans two decades. She has worked with clients to develop solutions in multiple programming languages. As a teacher, Sofía helps students incorporate the philosophy of computational thinking in courses like game design, circuits, Python, web design, and robotics. She likes to play video games and spend time with her 11 year old Yorkie, King Kong. Sofía also enjoys creating materials, small furniture, and jewelry using CNC machines and laser cutters. She enjoys spending as much time in Puerto Rico as work and life permits.

**Dayrene Martinez**
is a Systems Engineer in the Defense Industry where she develops neural networks embedded in real-time software to aid in decision making for aerospace vehicles. She received a B.S. in Electrical Engineering from the New Jersey Institute of Technology (NJIT). Dayrene is passionate about STEM education and volunteers her free time to inspire the next generation of engineers. She is an active supporter and keynote speaker for the non-profit organization Latinas in STEM. She teaches middle and high school students circuitry, robotics design and software engineering.
